Need Help with cydia/installer for iPod touch.Please Help!

Discussion in 'iOS Jailbreak & Cydia' started by NBABall, Jul 1, 2009.

  1. NBABall

    NBABall New Member

    Joined:
    Jul 1, 2009
    Messages:
    69
    Likes Received:
    0
    Device:
    iPod touch
    Ok I have a iPod touch 1st Gen and it's 2.2. Idk if it's jailbroken or not but I do have quickpwn on my desktop. I just want to know how to get cydia and installer onto my iPod. Please help!
    ------------------double post merged------------------
    Also should I upgrade to 3.0 and then jailbreak or is that not better than the 2.2 jailbreak
  2. WaLLacE

    WaLLacE New Member

    Joined:
    Jul 1, 2009
    Messages:
    16
    Likes Received:
    0
    If you do not have either your iPod is not jailbroken. Plug your iPod in, open up QuickPWN, and follow the instructions to jailbreak it.

    Please Register or Log in to view images

    EDIT: Since it seems you are new I would wait to update to 3.0 when all the apps are up to date and running properly. For now I would recommend to stay on your current firmware.
  3. NBABall

    NBABall New Member

    Joined:
    Jul 1, 2009
    Messages:
    69
    Likes Received:
    0
    Device:
    iPod touch
    Ok thanks alot

    Edit: I won't lose the app store right?
  4. WaLLacE

    WaLLacE New Member

    Joined:
    Jul 1, 2009
    Messages:
    16
    Likes Received:
    0
    Nope the app store as well as iTunes will still be on your iPod.
  5. NBABall

    NBABall New Member

    Joined:
    Jul 1, 2009
    Messages:
    69
    Likes Received:
    0
    Device:
    iPod touch
    Ok thanks again
  6. WaLLacE

    WaLLacE New Member

    Joined:
    Jul 1, 2009
    Messages:
    16
    Likes Received:
    0
    No problem if you have any difficulties just comment on this thread with your problems and Ill do my best to help out.
  7. NBABall

    NBABall New Member

    Joined:
    Jul 1, 2009
    Messages:
    69
    Likes Received:
    0
    Device:
    iPod touch
    i went into quickpwn and did everything right but it said error. i think its cause the version of quickpwn doesnt support 2.2.1 so di i need to download a new quickpwn or what?
  8. Ralzaider

    Ralzaider New Member

    Joined:
    Mar 21, 2009
    Messages:
    313
    Likes Received:
    0
    Device:
    2G iPod touch
  9. NBABall

    NBABall New Member

    Joined:
    Jul 1, 2009
    Messages:
    69
    Likes Received:
    0
    Device:
    iPod touch
    i tried redsnow and it almost messed up my ipod so i found the quickpwn that takes 2.2 but when i put in the firmare it said firmware error. anybody know why?

    Edit:it says firmware error string
  10. lakers123

    lakers123 New Member

    Joined:
    May 8, 2008
    Messages:
    278
    Likes Received:
    0
    Device:
    iPod touch
    you cant use quickpwn with 3.0 so that could be why your getting the error

Share This Page